Skip to main content
GET
/
api
/
v1
/
analytics
/
intents
Intent breakdown with outcome and per-channel distribution
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/analytics/intents \
  --header 'Authorization: Bearer <token>'
{
  "meta": {},
  "intents": [
    {
      "intent": "<string>",
      "count": 123,
      "outcome": {},
      "avg_confidence": 123,
      "channels": {},
      "previous": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.mindhunters.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

from
string<date-time>
required
to
string<date-time>
required
compare_prev
boolean
default:false
granularity
enum<string>
default:total
Available options:
total
channel
string
Example:

"call,whatsapp"

agent_uuid
string<uuid>
campaign_uuid
string<uuid>

Response

OK

meta
object
intents
object[]